# amuse configuration generated by ./configure from config.mk.in

PYTHON=/Users/rieder/Code/amuse-packagebuilder/env/bin/python3
CODE_GENERATOR=amusifier

#
# PYTHON embedding
#
PYTHON_DEV=no
CYTHON=
PYTHONCONFIG='no'
PYTHONDEV_CFLAGS=
PYTHONDEV_LDFLAGS=


#
# Compilers, for compiling without MPI
# these compilers must be the same or compatible with
# the mpi compilers
#
CXX=g++
CC=gcc
FC=gfortran
GFORTRAN_VERSION=13.2.0
IFORT_VERSION=
FC_ISO_C_AVAILABLE=yes

#
# Default flags, append to these in the makefiles
#
CXXFLAGS=-g -O2 -fno-common
CFLAGS=-g -O2 -fno-common
FCFLAGS=-g -O2 -fno-common
LDFLAGS=

#
# MPI Compilers
#
MPI_ENABLED=yes
MPICXX=mpicxx
MPICC=mpicc
MPIFC=mpif90
MPIEXEC=/opt/homebrew/bin/mpiexec

MPI_CFLAGS=-I/opt/homebrew/Cellar/open-mpi/5.0.1/include
MPI_CXXFLAGS=-I/opt/homebrew/Cellar/open-mpi/5.0.1/include
MPI_FCFLAGS=-Wl,-flat_namespace -I/opt/homebrew/Cellar/open-mpi/5.0.1/lib
MPI_CLIBS=-lmpi
MPI_CXXLIBS=-lmpi
MPI_FCLIBS=-Wl,-flat_namespace -I/opt/homebrew/Cellar/open-mpi/5.0.1/lib -L/opt/homebrew/Cellar/open-mpi/5.0.1/lib -lmpi_usempif08 -lmpi_usempi_ignore_tkr -lmpi_mpifh -lmpi

#
# Java
#
JAVA_ENABLED=no
JAVA=/usr/bin/java
JAVAC=/usr/bin/javac
JAR=/usr/bin/jar
JAVA_VERSION=

#
# OpenMP
#

OPENMP_ENABLED=yes
OPENMP_FCFLAGS=-fopenmp
OPENMP_CFLAGS=-fopenmp
    
#
# Libraries: FFTW, GSL, HDF5, CUDA, SAPPORO
#

FOUND_FFTW=yes
FFTW_FLAGS=-I/opt/homebrew/Cellar/fftw/3.3.10_1/include
FFTW_LIBS=-L/opt/homebrew/Cellar/fftw/3.3.10_1/lib -lfftw3 -lfftw3_threads
    
FOUND_GSL=yes
GSL_FLAGS=-I/opt/homebrew/Cellar/gsl/2.7.1/include
GSL_LIBS=-L/opt/homebrew/Cellar/gsl/2.7.1/lib -lgsl -lgslcblas -lm

FOUND_GMP=yes
GMP_FLAGS=
GMP_LIBS=-L/opt/homebrew/Cellar/gmp/6.3.0/lib -lgmp

FOUND_MPFR=yes
MPFR_FLAGS=
MPFR_LIBS=-L/opt/homebrew/Cellar/mpfr/4.2.1/lib -lmpfr -lgmp

HDF5_FLAGS=-I/opt/homebrew/Cellar/hdf5/1.14.3/include -I/opt/homebrew/opt/libaec/include -I/private/tmp/hdf5-20231218-63609-61hz5b/hdf5-1.14.3/src/H5FDsubfiling
HDF5_LIBS= -L/opt/homebrew/Cellar/hdf5/1.14.3/lib -L/opt/homebrew/opt/libaec/lib -lhdf5_hl -lhdf5  -lsz -lz -ldl -lm
HDF5_FFLAGS=
HDF5_FLIBS= -L/opt/homebrew/Cellar/hdf5/1.14.3/lib -L/opt/homebrew/opt/libaec/lib 

NETCDF_PREFIX=/opt/homebrew
NETCDF_FLAGS=-I/opt/homebrew/Cellar/netcdf/4.9.2_1/include
NETCDF_LIBS=-lnetcdf 
NETCDFF_PREFIX=/opt/homebrew
NETCDFF_FLAGS=
NETCDFF_LIBS=

CUDA_ENABLED=no
NVCC=
NVCC_FLAGS=
CUDA_TK=/NOCUDACONFIGURED
CUDA_LIBS=-L/NOCUDACONFIGURED cuda cudart

FOUND_CL=no
CL_LIBS=
CL_FLAGS=

SAPPORO_VERSION=light
SAPPORO_LIBS=-L${AMUSE_DIR}/lib/sapporo_light -lsapporo 

FS_FLAGS=-I$(AMUSE_DIR)/lib/forsockets
FS_LIBS=-L$(AMUSE_DIR)/lib/forsockets -lforsockets

SC_FLAGS=-I$(AMUSE_DIR)/lib/stopcond
SC_CLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcond
SC_FCLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcond
SC_MPI_CLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcondmpi
SC_MPI_FCLIBS=-L$(AMUSE_DIR)/lib/stopcond -lstopcondmpi

LAPACK_LIBS=-llapack
BLAS_LIBS=-lblas

export PYTHON CXX CC FC CXXFLAGS CFLAGS FCFLAGS MPICXX MPICC MPIFC LDFLAGS
export JAVA JAVAC JAVAH JAR JAVA_FLAGS
export FS_FLAGS FS_LIBS SC_FLAGS SC_CLIBS SC_FCLIBS SC_MPI_CLIBS SC_MPI_FCLIBS
export FFTW_FLAGS FFTW_LIBS
export GSL_FLAGS GSL_LIBS
export HDF5_FLAGS HDF5_LIBS
export OPENMP_FCFLAGS OPENMP_CFLAGS
export NVCC CUDA_TK CUDA_LIBS CUDA_ENABLED
export SAPPORO_VERSION SAPPORO_LIBS
export MPICFLAGS MPICCFLAGS MPIFCFLAGS
export IFORT_VERSION
export NVCC_FLAGS
export PYTHONDEV_LIBS PYTHONDEV_CFLAGS PYTHONDEV_LIBS
export FC_ISO_C_ENABLED
export LAPACK_LIBS BLAS_LIBS


ifdef AMUSE_DIR
export AMUSE_DIR
endif

